## prosody 0.11.2

=== debian/changelog ===
prosody (0.11.2-1+deb10u2) buster-security; urgency=high

  * fix websocket error due to missing backport for CVE-2021-32918 (Closes: #988756)

 -- Victor Seva <vseva@debian.org>  Wed, 19 May 2021 09:46:54 +0200

prosody (0.11.2-1+deb10u1) buster-security; urgency=high

  * fixes for https://prosody.im/security/advisory_20210512.txt

 -- Victor Seva <vseva@debian.org>  Fri, 14 May 2021 15:25:16 +0200

prosody (0.11.2-1) unstable; urgency=medium

  * debian/gbp.conf: set debian and upstream branches
  * New upstream version 0.11.2
  * update maintainer with proper mail list (closes: #916515)
  * fix debian/watch

 -- Victor Seva <vseva@debian.org>  Wed, 09 Jan 2019 17:15:15 +0100

prosody (0.11.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release,
    with bugfixes for the CSI and traffic optimisations.

 -- W. Martin Borgert <debacle@debian.org>  Fri, 07 Dec 2018 21:22:00 +0000

prosody (0.11.0-1) unstable; urgency=medium

  * Team upload.

  [ Helmut Grohne ]
  * Non-maintainer upload.
  * Fix FTCBFS: Pass --c-compiler and --linker to ./configure.
    (Closes: #912675)

  [ W. Martin Borgert ]
  * New upstream release with many new features,
    among them support for PEP configuration by client, so that OMEMO
    can work with non-contacts. (Closes: #873174)
  * Add new build-deps: lua-busted, openssl.
  * Use lua5.2 instead of lua5.1.

 -- W. Martin Borgert <debacle@debian.org>  Sat, 24 Nov 2018 11:11:14 +0000

=== debian/control ===
Source: prosody
Section: net
Priority: optional
Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@alioth-lists.debian.net>
Uploaders:
 Matthew James Wild <mwild1@gmail.com>,
 Enrico Tassi <gareuselesinge@debian.org>,
 Sergei Golovan <sgolovan@debian.org>,
 Victor Seva <vseva@debian.org>,
Build-Depends:
 debhelper (>= 11),
 dpkg-dev (>= 1.16.1.1),
 libidn11-dev,
 liblua5.2-dev,
 libssl-dev,
 lua-busted,
 lua5.2-expat,
 lua5.2-socket,
 lua5.2,
 openssl,
 txt2man,
Standards-Version: 4.1.4
Homepage: http://www.prosody.im/
Vcs-Browser: https://salsa.debian.org/xmpp-team/prosody
Vcs-Git: https://salsa.debian.org/xmpp-team/prosody.git

Package: prosody
Architecture: any
Multi-Arch: foreign
Depends:
 adduser,
 lsb-base,
 lua-expat (>= 1.2.0),
 lua-filesystem (>= 1.4.2-3~),
 lua5.2,
 lua5.2-bitop,
 lua5.2-expat,
 lua5.2-filesystem,
 lua5.2-sec,
 lua5.2-socket,
 ssl-cert,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 lua5.2-event,
Suggests:
 lua-dbi-mysql,
 lua-dbi-postgresql,
 lua-dbi-sqlite3,
 lua-zlib,
Conflicts:
 prosody-modules (<< 0.0~hg20170719.cd828b1cb5b9+dfsg-1),
Provides:
 xmpp-server,
Description: Lightweight Jabber/XMPP server
 Prosody is a modern XMPP communication server. It aims to be
 easy to set up and configure, and efficient with system resources.
 Additionally, for developers it aims to be easy to extend and
 give a flexible system on which to rapidly develop added
 functionality, or prototype new protocols.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
-include /usr/share/dpkg/buildtools.mk

%:
	dh $@

override_dh_auto_configure:
	./configure --ostype=debian --prefix=/usr --c-compiler=$(CC) --linker=$(CC)

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C tools/migration

override_dh_auto_install:
	$(MAKE) install DESTDIR=debian/tmp
	$(MAKE) -C tools/migration install DESTDIR=../../debian/tmp
	cp tools/ejabberd2prosody.lua debian/tmp/usr/bin/ejabberd2prosody
	cp tools/erlparse.lua debian/tmp/usr/lib/prosody/util

override_dh_installman:
	txt2man -t "prosody 8" -r "Prosody IM" -v "" debian/prosody.man.txt | sed 1d > prosody.8
	txt2man -t "ejabberd2prosody 8" -r "Prosody IM" -v "" debian/ejabberd2prosody.man.txt | sed 1d > ejabberd2prosody.8
	txt2man -t "prosody-migrator 8" -r "Prosody IM" -v "" debian/prosody-migrator.man.txt | sed 1d > prosody-migrator.8
	dh_installman

override_dh_auto_clean:
	if [ -f config.unix ]; then \
		make -C tools/migration clean; \
		make clean; \
		rm -f config.unix; \
	fi
	rm -f prosody.8 prosodyctl.8 ejabberd2prosody.8 prosody-migrator.8

## prosody 0.11.4

=== debian/changelog ===
prosody (0.11.4-1) unstable; urgency=medium

  * fix debian-watch-uses-insecure-uri
  * fix public-upstream-key-unusable
  * fix spelling-error-in-copyright
  * add upstream key from Zash
  * New upstream version 0.11.4

 -- Victor Seva <vseva@debian.org>  Mon, 20 Jan 2020 13:58:37 +0100

prosody (0.11.3-1) unstable; urgency=medium

  [ Martin ]
  * [8ff2ca4] Fix maintainer email

  [ Victor Seva ]
  * [07ec12a] New upstream version 0.11.3 (closes: #942591)
  * [747f583] don't replace localhost certificate (closes: #916465)

 -- Victor Seva <vseva@debian.org>  Sun, 20 Oct 2019 16:28:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: prosody
 Section: net
 Priority: optional
-Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@alioth-lists.debian.net>
+Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
 Uploaders:
  Matthew James Wild <mwild1@gmail.com>,
  Enrico Tassi <gareuselesinge@debian.org>,

## prosody 0.11.5

=== debian/changelog ===
prosody (0.11.5-1) unstable; urgency=medium

  * New upstream version 0.11.5
  * prosody.service: Add -F to prevent daemonize (overrides config)
  * prosody.init: Remove --background and force Prosody to daemonize using -D
  * docs: add more documents
  * debhelper 12 and Standards-Version to 4.5.0

 -- Victor Seva <vseva@debian.org>  Wed, 25 Mar 2020 09:35:38 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Sergei Golovan <sgolovan@debian.org>,
  Victor Seva <vseva@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dpkg-dev (>= 1.16.1.1),
  libidn11-dev,
  liblua5.2-dev,
@@ -19,7 +19,7 @@
  lua5.2,
  openssl,
  txt2man,
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Homepage: http://www.prosody.im/
 Vcs-Browser: https://salsa.debian.org/xmpp-team/prosody
 Vcs-Git: https://salsa.debian.org/xmpp-team/prosody.git

## prosody 0.11.8

=== debian/changelog ===
prosody (0.11.8-1) unstable; urgency=medium

  * New upstream version 0.11.8

 -- Victor Seva <vseva@debian.org>  Tue, 16 Feb 2021 14:26:08 +0100

prosody (0.11.7-3) unstable; urgency=medium

  [ Guillem Jover ]
  * Do not use invoke-rc.d in logrotate script (Closes: #980401)

 -- Victor Seva <vseva@debian.org>  Wed, 20 Jan 2021 11:59:22 +0100

prosody (0.11.7-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Annotate test dependencies with <!nocheck>. (Closes: #980265)

 -- Victor Seva <vseva@debian.org>  Mon, 18 Jan 2021 09:40:20 +0100

prosody (0.11.7-1) unstable; urgency=medium

  * New upstream version 0.11.7

 -- Victor Seva <vseva@debian.org>  Fri, 02 Oct 2020 11:37:42 +0200

prosody (0.11.6-1) unstable; urgency=medium

  * New upstream version 0.11.6
  * fix skip-systemd-native-flag-missing-pre-depends lintian warning

 -- Victor Seva <vseva@debian.org>  Sat, 12 Sep 2020 13:46:10 +0200

## prosody 0.11.9

=== debian/changelog ===
prosody (0.11.9-2+deb11u2) bullseye-security; urgency=medium

  * CVE-2022-0217 fix memory leak (Closes: #1004173)

 -- Victor Seva <vseva@debian.org>  Thu, 27 Jan 2022 18:09:08 +0100

prosody (0.11.9-2+deb11u1) bullseye-security; urgency=high

  * fix for https://prosody.im/security/advisory_20220113/
    CVE-2022-0217

 -- Victor Seva <vseva@debian.org>  Fri, 14 Jan 2022 12:39:19 +0100

prosody (0.11.9-2) unstable; urgency=high

  * fix for https://prosody.im/security/advisory_20210722/

 -- Victor Seva <vseva@debian.org>  Fri, 23 Jul 2021 14:15:58 +0200

prosody (0.11.9-1) unstable; urgency=high

  * New upstream version 0.11.9 addressing several security issues
    - https://prosody.im/security/advisory_20210512/
    + CVE-2021-32918
    + CVE-2021-32920
    + CVE-2021-32921
    + CVE-2021-32917
    + CVE-2021-32919
  * refresh patches

 -- Victor Seva <vseva@debian.org>  Fri, 14 May 2021 09:17:12 +0200

=== debian/control ===
--- 
+++ 
@@ -13,11 +13,11 @@
  libidn11-dev,
  liblua5.2-dev,
  libssl-dev,
- lua-busted,
- lua5.2-expat,
- lua5.2-socket,
- lua5.2,
- openssl,
+ lua-busted <!nocheck>,
+ lua5.2 <!nocheck>,
+ lua5.2-expat <!nocheck>,
+ lua5.2-socket <!nocheck>,
+ openssl <!nocheck>,
  txt2man,
 Standards-Version: 4.5.0
 Homepage: http://www.prosody.im/
@@ -27,6 +27,8 @@
 Package: prosody
 Architecture: any
 Multi-Arch: foreign
+Pre-Depends:
+ ${misc:Pre-Depends},
 Depends:
  adduser,
  lsb-base,

## prosody 0.11.10

=== debian/changelog ===
prosody (0.11.10-1) unstable; urgency=medium

  * New upstream version 0.11.10
  * remove already applied patches

 -- Victor Seva <vseva@debian.org>  Sun, 08 Aug 2021 10:50:40 +0200

## prosody 0.11.13

=== tools/migration/Makefile ===

include ../../config.unix

BIN = $(DESTDIR)$(PREFIX)/bin
CONFIG = $(DESTDIR)$(SYSCONFDIR)
SOURCE = $(DESTDIR)$(LIBDIR)/prosody
DATA = $(DESTDIR)$(DATADIR)
MAN = $(DESTDIR)$(PREFIX)/share/man

INSTALLEDSOURCE = $(LIBDIR)/prosody
INSTALLEDCONFIG = $(SYSCONFDIR)
INSTALLEDMODULES = $(LIBDIR)/prosody/modules
INSTALLEDDATA = $(DATADIR)

SOURCE_FILES = migrator/*.lua

all: prosody-migrator.install migrator.cfg.lua.install prosody-migrator.lua $(SOURCE_FILES)

install: prosody-migrator.install migrator.cfg.lua.install
	install -d $(BIN) $(CONFIG) $(SOURCE) $(SOURCE)/migrator
	install -d $(MAN)/man1
	install -d $(SOURCE)/migrator
	install -m755 ./prosody-migrator.install $(BIN)/prosody-migrator
	install -m644 $(SOURCE_FILES) $(SOURCE)/migrator
	test -e $(CONFIG)/migrator.cfg.lua || install -m644 migrator.cfg.lua.install $(CONFIG)/migrator.cfg.lua

clean:
	rm -f prosody-migrator.install
	rm -f migrator.cfg.lua.install

prosody-migrator.install: prosody-migrator.lua
	sed "1s/\blua\b/$(RUNWITH)/; \
		s|^CFG_SOURCEDIR=.*;$$|CFG_SOURCEDIR='$(INSTALLEDSOURCE)';|; \
		s|^CFG_CONFIGDIR=.*;$$|CFG_CONFIGDIR='$(INSTALLEDCONFIG)';|;" \
			< prosody-migrator.lua > prosody-migrator.install

migrator.cfg.lua.install: migrator.cfg.lua
	sed "s|^local data_path = .*;$$|local data_path = '$(INSTALLEDDATA)';|;" \
		< migrator.cfg.lua > migrator.cfg.lua.install

=== debian/changelog ===
prosody (0.11.13-1) unstable; urgency=medium

  * New upstream version 0.11.13 (Closes: #1004173)

 -- Victor Seva <vseva@debian.org>  Thu, 27 Jan 2022 17:56:07 +0100

prosody (0.11.12-1) unstable; urgency=high

  * New upstream version 0.11.12 addressing security issue
    - https://prosody.im/security/advisory_20220113/
    + fixes CVE-2022-0217
    (Closes: #1003696)

 -- Victor Seva <vseva@debian.org>  Fri, 14 Jan 2022 12:12:44 +0100

prosody (0.11.11-2) unstable; urgency=medium

  * remove gareuselesinge@debian.org from uploaders (Closes: #995559)
  * debhelper 13, update Standards-Version no changes needed

 -- Victor Seva <vseva@debian.org>  Tue, 28 Dec 2021 12:08:28 +0100

prosody (0.11.11-1) unstable; urgency=medium

  * service: use network-online.target and nss-lookup.target (Closes: #998678)
  * deal with previous conffile at link on preinst (Closes: #1001592)
  * New upstream version 0.11.11

 -- Victor Seva <vseva@debian.org>  Wed, 22 Dec 2021 10:54:11 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,10 @@
 Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
 Uploaders:
  Matthew James Wild <mwild1@gmail.com>,
- Enrico Tassi <gareuselesinge@debian.org>,
  Sergei Golovan <sgolovan@debian.org>,
  Victor Seva <vseva@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dpkg-dev (>= 1.16.1.1),
  libidn11-dev,
  liblua5.2-dev,
@@ -19,7 +18,7 @@
  lua5.2-socket <!nocheck>,
  openssl <!nocheck>,
  txt2man,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0.1
 Homepage: http://www.prosody.im/
 Vcs-Browser: https://salsa.debian.org/xmpp-team/prosody
 Vcs-Git: https://salsa.debian.org/xmpp-team/prosody.git

## prosody 0.12.1

=== debian/changelog ===
prosody (0.12.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Martin <debacle@debian.org>  Wed, 15 Jun 2022 23:16:36 +0000

prosody (0.12.1-1) unstable; urgency=medium

  * New upstream version 0.12.1
  * update Standards-Version, no changes needed

 -- Victor Seva <vseva@debian.org>  Thu, 09 Jun 2022 23:58:39 +0200

prosody (0.12.0-1) unstable; urgency=medium

  * New upstream version 0.12.0
  * update recommends
  * update debian/copyright
  * rules: updates from upstream debian package
  * remove trying to manage localhost certs (Closes: #1004662)
  * add libicu-dev as Build-Depends
  * series: update patches
  * update prosody-modules conflicts

 -- Victor Seva <vseva@debian.org>  Tue, 05 Apr 2022 12:03:07 +0200

prosody (0.11.13-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Victor Seva <vseva@debian.org>  Thu, 17 Mar 2022 14:59:35 +0100

prosody (0.11.11-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Victor Seva <vseva@debian.org>  Wed, 22 Dec 2021 12:56:16 +0100

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dpkg-dev (>= 1.16.1.1),
+ libicu-dev,
  libidn11-dev,
  liblua5.2-dev,
  libssl-dev,
@@ -18,7 +19,7 @@
  lua5.2-socket <!nocheck>,
  openssl <!nocheck>,
  txt2man,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1
 Homepage: http://www.prosody.im/
 Vcs-Browser: https://salsa.debian.org/xmpp-team/prosody
 Vcs-Git: https://salsa.debian.org/xmpp-team/prosody.git
@@ -44,13 +45,15 @@
  ${shlibs:Depends},
 Recommends:
  lua5.2-event,
+ lua5.2-readline,
+ lua5.2-unbound,
 Suggests:
  lua-dbi-mysql,
  lua-dbi-postgresql,
  lua-dbi-sqlite3,
  lua-zlib,
 Conflicts:
- prosody-modules (<< 0.0~hg20170719.cd828b1cb5b9+dfsg-1),
+ prosody-modules (<< 0.0~hg20220330.b45c23ce24ba+dfsg-1~),
 Provides:
  xmpp-server,
 Description: Lightweight Jabber/XMPP server

## prosody 0.12.3

=== tools/migration/Makefile ===
--- 
+++ 
@@ -12,16 +12,12 @@
 INSTALLEDMODULES = $(LIBDIR)/prosody/modules
 INSTALLEDDATA = $(DATADIR)
 
-SOURCE_FILES = migrator/*.lua
-
-all: prosody-migrator.install migrator.cfg.lua.install prosody-migrator.lua $(SOURCE_FILES)
+all: prosody-migrator.install migrator.cfg.lua.install prosody-migrator.lua
 
 install: prosody-migrator.install migrator.cfg.lua.install
-	install -d $(BIN) $(CONFIG) $(SOURCE) $(SOURCE)/migrator
+	install -d $(BIN) $(CONFIG) $(SOURCE)
 	install -d $(MAN)/man1
-	install -d $(SOURCE)/migrator
 	install -m755 ./prosody-migrator.install $(BIN)/prosody-migrator
-	install -m644 $(SOURCE_FILES) $(SOURCE)/migrator
 	test -e $(CONFIG)/migrator.cfg.lua || install -m644 migrator.cfg.lua.install $(CONFIG)/migrator.cfg.lua
 
 clean:
@@ -31,7 +27,9 @@
 prosody-migrator.install: prosody-migrator.lua
 	sed "1s/\blua\b/$(RUNWITH)/; \
 		s|^CFG_SOURCEDIR=.*;$$|CFG_SOURCEDIR='$(INSTALLEDSOURCE)';|; \
-		s|^CFG_CONFIGDIR=.*;$$|CFG_CONFIGDIR='$(INSTALLEDCONFIG)';|;" \
+		s|^CFG_CONFIGDIR=.*;$$|CFG_CONFIGDIR='$(INSTALLEDCONFIG)';|; \
+		s|^CFG_DATADIR=.*;$$|CFG_DATADIR='$(INSTALLEDDATA)';|; \
+		s|^CFG_PLUGINDIR=.*;$$|CFG_PLUGINDIR='$(INSTALLEDMODULES)/';|;" \
 			< prosody-migrator.lua > prosody-migrator.install
 
 migrator.cfg.lua.install: migrator.cfg.lua

=== debian/changelog ===
prosody (0.12.3-1) unstable; urgency=medium

  * New upstream version 0.12.3

 -- Victor Seva <vseva@debian.org>  Wed, 22 Feb 2023 09:56:38 +0100

prosody (0.12.2-2) unstable; urgency=medium

  * switch to Lua5.4 (Closes: #1029208)
  * update Standards-Version to 4.6.2, no changes needed
  * fix lintian error, remove lsb-base from depends

 -- Victor Seva <vseva@debian.org>  Sun, 22 Jan 2023 19:12:49 +0100

prosody (0.12.2-1) unstable; urgency=medium

  * New upstream version 0.12.2
  * remove already applied patches
  * fix lintian warning depends-on-obsolete-package

 -- Victor Seva <vseva@debian.org>  Tue, 10 Jan 2023 16:44:15 +0100

prosody (0.12.1-2) unstable; urgency=medium

  * fix tests error due to new luassert version (Closes: #1020103)
  * refresh patches

 -- Victor Seva <vseva@debian.org>  Mon, 26 Sep 2022 16:41:47 +0200

=== debian/control ===
--- 
+++ 
@@ -10,16 +10,16 @@
  debhelper-compat (= 13),
  dpkg-dev (>= 1.16.1.1),
  libicu-dev,
- libidn11-dev,
- liblua5.2-dev,
+ libidn-dev,
+ liblua5.4-dev,
  libssl-dev,
  lua-busted <!nocheck>,
- lua5.2 <!nocheck>,
- lua5.2-expat <!nocheck>,
- lua5.2-socket <!nocheck>,
+ lua5.4 <!nocheck>,
+ lua5.4-expat <!nocheck>,
+ lua5.4-socket <!nocheck>,
  openssl <!nocheck>,
  txt2man,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: http://www.prosody.im/
 Vcs-Browser: https://salsa.debian.org/xmpp-team/prosody
 Vcs-Git: https://salsa.debian.org/xmpp-team/prosody.git
@@ -31,29 +31,28 @@
  ${misc:Pre-Depends},
 Depends:
  adduser,
- lsb-base,
  lua-expat (>= 1.2.0),
  lua-filesystem (>= 1.4.2-3~),
- lua5.2,
- lua5.2-bitop,
- lua5.2-expat,
- lua5.2-filesystem,
- lua5.2-sec,
- lua5.2-socket,
+ lua5.4,
+ lua5.4-bitop,
+ lua5.4-expat,
+ lua5.4-filesystem,
+ lua5.4-sec,
+ lua5.4-socket,
  ssl-cert,
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
- lua5.2-event,
- lua5.2-readline,
- lua5.2-unbound,
+ lua5.4-event,
+ lua5.4-readline,
+ lua5.4-unbound,
 Suggests:
  lua-dbi-mysql,
  lua-dbi-postgresql,
  lua-dbi-sqlite3,
  lua-zlib,
 Conflicts:
- prosody-modules (<< 0.0~hg20220330.b45c23ce24ba+dfsg-1~),
+ prosody-modules (<< 0.0~hg20220330.b45c23ce24ba+dfsg-1),
 Provides:
  xmpp-server,
 Description: Lightweight Jabber/XMPP server

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,18 @@
 	dh $@
 
 override_dh_auto_configure:
-	./configure --ostype=debian --prefix=/usr --c-compiler=$(CC) --linker=$(CC)
+	./configure \
+		--lua-version=5.4 \
+		--lua-suffix=5.4 \
+		--runwith=lua5.4 \
+		--with-lua-include=/usr/include/lua5.4 \
+		--idn-library=icu \
+		--prefix=/usr \
+		--c-compiler="$(CC) -std=c99" \
+		--linker="$(CC)" \
+		--add-cflags="$(CFLAGS)" \
+		--add-ldflags="$(LDFLAGS)" \
+		--no-example-certs
 
 override_dh_auto_build:
 	dh_auto_build
@@ -17,6 +28,7 @@
 
 override_dh_auto_install:
 	$(MAKE) install DESTDIR=debian/tmp
+	$(MAKE) prosody.install prosodyctl.install prosody.cfg.lua.install
 	$(MAKE) -C tools/migration install DESTDIR=../../debian/tmp
 	cp tools/ejabberd2prosody.lua debian/tmp/usr/bin/ejabberd2prosody
 	cp tools/erlparse.lua debian/tmp/usr/lib/prosody/util

## prosody 0.12.4

=== debian/changelog ===
prosody (0.12.4-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:18:59 +1100

prosody (0.12.4-1build2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:05:23 +0000

prosody (0.12.4-1build1) noble; urgency=medium

  * No-change rebuild for ICU soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 11:07:49 +0100

prosody (0.12.4-1) unstable; urgency=medium

  * New upstream version 0.12.4
  * clean util/*.so (Closes: #1047740)

 -- Victor Seva <vseva@debian.org>  Wed, 13 Sep 2023 10:36:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: prosody
 Section: net
 Priority: optional
-Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
 Uploaders:
  Matthew James Wild <mwild1@gmail.com>,
  Sergei Golovan <sgolovan@debian.org>,

=== debian/rules ===
--- 
+++ 
@@ -45,4 +45,5 @@
 		make clean; \
 		rm -f config.unix; \
 	fi
+	rm -f util/*.so
 	rm -f prosody.8 prosodyctl.8 ejabberd2prosody.8 prosody-migrator.8

## prosody 0.12.5

=== debian/changelog ===
prosody (0.12.5-1build1) plucky; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 05 Jan 2025 20:29:15 +0100

prosody (0.12.5-1) unstable; urgency=medium

  * New upstream version 0.12.5

 -- Victor Seva <vseva@debian.org>  Sat, 04 Jan 2025 10:31:14 +0100

prosody (0.12.4-2) unstable; urgency=medium

  * prosody.init: fix lua version (Closes: #1055451)
  * update Standards-Version 4.7.0, no changes needed
  * debian/control: Rules-Requires-Root: no
  * regenerate manpage with pandoc
  * move dpkg-maintscript-helper commands to prosody.maintscript

 -- Victor Seva <vseva@debian.org>  Tue, 05 Nov 2024 10:06:01 +0100

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,7 @@
 override_dh_auto_build:
 	dh_auto_build
 	$(MAKE) -C tools/migration
+	$(MAKE) -C man
 
 override_dh_auto_install:
 	$(MAKE) install DESTDIR=debian/tmp
@@ -45,5 +46,6 @@
 		make clean; \
 		rm -f config.unix; \
 	fi
+	rm -f man/*.man
 	rm -f util/*.so
 	rm -f prosody.8 prosodyctl.8 ejabberd2prosody.8 prosody-migrator.8

## prosody 13.0.0

=== debian/changelog ===
prosody (13.0.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 13.0.0
    See /usr/share/doc/prosody/changelog.gz

 -- Martin <debacle@debian.org>  Tue, 18 Mar 2025 17:06:31 +0000

## prosody 13.0.1

=== man/Makefile ===
all: prosodyctl.man

%.man: %.markdown
	pandoc -s -t man -o $@ $^

=== debian/changelog ===
prosody (13.0.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 13.0.1

 -- Martin <debacle@debian.org>  Fri, 04 Apr 2025 00:10:46 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: prosody
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
+Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
 Uploaders:
  Matthew James Wild <mwild1@gmail.com>,
  Sergei Golovan <sgolovan@debian.org>,
@@ -19,11 +18,13 @@
  lua5.4-expat <!nocheck>,
  lua5.4-socket <!nocheck>,
  openssl <!nocheck>,
+ pandoc,
  txt2man,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: http://www.prosody.im/
 Vcs-Browser: https://salsa.debian.org/xmpp-team/prosody
 Vcs-Git: https://salsa.debian.org/xmpp-team/prosody.git
+Rules-Requires-Root: no
 
 Package: prosody
 Architecture: any

## prosody 13.0.2

=== debian/changelog ===
prosody (13.0.2-1) unstable; urgency=medium

  * New upstream version 13.0.2

 -- Victor Seva <vseva@debian.org>  Thu, 31 Jul 2025 00:48:25 +0200

=== debian/rules ===
--- 
+++ 
@@ -48,4 +48,4 @@
 	fi
 	rm -f man/*.man
 	rm -f util/*.so
-	rm -f prosody.8 prosodyctl.8 ejabberd2prosody.8 prosody-migrator.8
+	rm -f prosody.8 prosodyctl.1 ejabberd2prosody.8 prosody-migrator.8

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package prosody
#
version=4
opts="uversionmangle=s/rc/~rc/,pgpsigurlmangle=s/$/.asc/" \
https://prosody.im/downloads/source/ prosody-(.*).tar.gz

## prosody 13.0.3

=== debian/changelog ===
prosody (13.0.3-1) unstable; urgency=medium

  * New upstream version 13.0.3

 -- Victor Seva <vseva@debian.org>  Tue, 13 Jan 2026 18:58:12 +0100

## prosody 13.0.4

=== debian/changelog ===
prosody (13.0.4-2) unstable; urgency=medium

  * patch removing build warning

 -- Victor Seva <vseva@debian.org>  Fri, 30 Jan 2026 10:31:55 +0100

prosody (13.0.4-1) unstable; urgency=medium

  * New upstream version 13.0.4
  * single ASCII Armor block for debian/upstream/signing-key.asc

 -- Victor Seva <vseva@debian.org>  Mon, 26 Jan 2026 10:36:51 +0100
